import { getOrderWeightAndProportionList} from '../../../api/apiList';
import {calc_hb_str, calc_zb_str, conver_amont} from "../../../utils/numUtil";

let choice = {
  "01": "transport_type",
  "02": "area_name",
  "03": "base_name",
  "04": "department",
}

export const getDetailData = async (aux,callback) => {
  let resList = new Array();
  aux[choice[aux.type]] = aux.key;
  await getOrderWeightAndProportionList(aux).then(function (res) {
    resList = res.data;
  });
  callback(resList);
  return resList
}
